clear all
clc

% Load data
load('f:\fproduccion.mat')

y = LNGDP;
X = [ LNCAPITAL LNLABOUR];

ynames = {'LNGDP'};
xnames = {'LNCAPITAL', 'LNLABOUR'};

%%%%%%%%%% CROSS SECTION %%%%%%%%%%

% OLS
regols = ols(y,X);
regols.ynames = ynames;
regols.xnames = xnames;
estdisp(regols);


%%%%%%%%%%%%%%%  PANEL DATA ANALYSIS %%%%%%%%%%%%%%%%



% Panel FE
regfe = panel(REGION,YEAR,y, X, 'fe');
regfe.ynames = ynames;
regfe.xnames = xnames;
estdisp(regfe);


% Panel RE
regre = panel(REGION,YEAR,y, X, 're');
regre.ynames = ynames;
regre.xnames = xnames;
estdisp(regre);

% F test of inividual effects
effF = effectsftest(regfe);
testdisp(effF);


% Hausman test
h = hausmantest(regfe, regre);
testdisp(h);

% Panel FE Robust
regfer = panel(REGION, YEAR, y, X, 'fe', 'vartype', 'robust');
regfer.ynames = ynames;
regfer.xnames = xnames;
estdisp(regfer);

% Panel RE Robust
regrer = panel(REGION, YEAR, y, X, 're', 'vartype', 'robust');
regrer.ynames = ynames;
regrer.xnames = xnames;
estdisp(regrer);


% Individual effects
ieffectsdisp(regfer);

% Individual effects
ieffectsdisp(regfer,'overall');

